小红书笔记搜索 API (V4)
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…
获取小红书(RedNote)笔记搜索数据,包括摘要、作者和媒体,用于话题发现。
使用提示
TIP
这是一个移动应用版本的接口。搜索结果更准确。
请求参数
| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|---|
token | query | string | 是 | - | 此 API 服务的访问令牌。 |
keyword | query | string | 是 | - | 搜索关键词。 |
page | query | integer | 否 | 1 | 用于分页的页码。 |
searchId | query | string | 否 | `` | 来自上一个响应数据 api_info.search_id 的搜索会话 ID。 |
sessionId | query | string | 否 | `` | 来自上一个响应数据 api_info.session_id 的会话 ID。 |
sortType | query | string | 否 | general | 结果集的排序方式。 可选值: - general:综合排序- popularity_descending:热度降序- time_descending:时间降序- comment_descending:评论数降序- collect_descending:收藏数降序 |
noteType | query | string | 否 | 不限 | 笔记类型筛选。 可选值: - 不限: 不限- 视频笔记: 视频笔记- 普通笔记: 普通笔记 |
timeFilter | query | string | 否 | 不限 | 发布时间筛选。 可选值: - 不限: 不限- 一天内: 一天内- 一周内: 一周内- 半年内: 半年内 |
代码示例
💡 环境说明
默认使用 https://api.justoneapi.com;中国大陆用户也可以改用 http://47.117.133.51:30015。
bash
curl -X GET "https://api.justoneapi.com/api/xiaohongshu/search-note/v4?token=YOUR_API_KEY&keyword=VALUE"text
我想使用 Just One API 提供的“笔记搜索 (V4)”接口。
接入地址: 默认使用 https://api.justoneapi.com;中国大陆用户也可以改用 http://47.117.133.51:30015。
接口路径: /api/xiaohongshu/search-note/v4?token=YOUR_API_KEY&keyword=VALUE
接口地址: BASE_URL + /api/xiaohongshu/search-note/v4?token=YOUR_API_KEY&keyword=VALUE
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/xiaohongshu-rednote/note-search-v4-zh.json
请求参数说明:
- token (query): 此 API 服务的访问令牌。 (必填)
- keyword (query): 搜索关键词。 (必填)
- page (query): 用于分页的页码。
- searchId (query): 来自上一个响应数据 api_info.search_id 的搜索会话 ID。
- sessionId (query): 来自上一个响应数据 api_info.session_id 的会话 ID。
- sortType (query): 结果集的排序方式。
可选值:
- `general`:综合排序
- `popularity_descending`:热度降序
- `time_descending`:时间降序
- `comment_descending`:评论数降序
- `collect_descending`:收藏数降序
- noteType (query): 笔记类型筛选。
可选值:
- `不限`: 不限
- `视频笔记`: 视频笔记
- `普通笔记`: 普通笔记
- timeFilter (query): 发布时间筛选。
可选值:
- `不限`: 不限
- `一天内`: 一天内
- `一周内`: 一周内
- `半年内`: 半年内
返回格式: JSON
响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
- 0: 成功
- 100: Token 无效或已失效
- 301: 采集失败,请重试
- 302: 超出速率限制
- 303: 超出每日配额
- 400: 参数错误
- 500: 内部服务器错误
- 600: 权限不足
- 601: 余额不足
请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。python
import requests
BASE_URL = "https://api.justoneapi.com" # 大陆用户可改为 "http://47.117.133.51:30015"
url = BASE_URL + "/api/xiaohongshu/search-note/v4?token=YOUR_API_KEY&keyword=VALUE"
response = requests.get(url)
print(response.json())js
const BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
const url = BASE_URL + "/api/xiaohongshu/search-note/v4?token=YOUR_API_KEY&keyword=VALUE";
const response = await fetch(url, {
method: "GET"
});
const data = await response.json();
console.log(data);java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
final String BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
final String url = BASE_URL + "/api/xiaohongshu/search-note/v4?token=YOUR_API_KEY&keyword=VALUE";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}go
package main
import (
"fmt"
"io"
"net/http"
)
const BASE_URL = "https://api.justoneapi.com" // 大陆用户可改为 "http://47.117.133.51:30015"
func main() {
client := &http.Client{}
url := BASE_URL + "/api/xiaohongshu/search-note/v4?token=YOUR_API_KEY&keyword=VALUE"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}php
<?php
$BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
$url = $BASE_URL . "/api/xiaohongshu/search-note/v4?token=YOUR_API_KEY&keyword=VALUE";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;响应结果示例
正在加载最新成功示例…
